summaryrefslogtreecommitdiff
path: root/tests/nist-pkits/pkits_pkcs12
diff options
context:
space:
mode:
authorSimon Josefsson <simon@josefsson.org>2007-02-13 11:55:35 +0000
committerSimon Josefsson <simon@josefsson.org>2007-02-13 11:55:35 +0000
commit34b53cd2b76c68fc627c27d2b0c5b20ea0818abd (patch)
treec0def353d78b34bdfce1ab11f23150d9da6bdb03 /tests/nist-pkits/pkits_pkcs12
parentdcaa89e6c99b7abeb6ec0fdde774385c2167b6b5 (diff)
downloadgnutls-34b53cd2b76c68fc627c27d2b0c5b20ea0818abd.tar.gz
Move PKITS stuff to nist-pkits/.
Diffstat (limited to 'tests/nist-pkits/pkits_pkcs12')
-rwxr-xr-xtests/nist-pkits/pkits_pkcs1237
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/nist-pkits/pkits_pkcs12 b/tests/nist-pkits/pkits_pkcs12
new file mode 100755
index 0000000000..43cd42a305
--- /dev/null
+++ b/tests/nist-pkits/pkits_pkcs12
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+# Copyright (C) 2004 Free Software Foundation
+#
+# This file is part of GNUTLS.
+#
+# GNUTLS is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# GNUTLS is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
+
+CERTTOOL=../src/certtool
+
+test -d pkcs12 || unzip PKITS_data.zip
+
+ret=0
+for p12 in pkcs12/*; do
+ $CERTTOOL --p12-info --inder --password password --infile $p12 > out 2>&1
+ rc=$?
+ if test $rc != 0; then
+ echo "PKCS12 FATAL $p12"
+ ret=1
+ fi
+done
+rm -f out
+
+echo "Done (exit code $ret)"
+exit $ret